summaryrefslogtreecommitdiff
path: root/dev-python/jsonpath-ng
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-10-05 20:15:34 -0500
committerCrucible <crucible@localhost>2026-10-05 20:15:34 -0500
commit0ec94c3dc8d7a7ce5a857085e8039d80dbb1fb93 (patch)
tree712bba14b1c4791c27e4a1b21bbb7b4637c70bbd /dev-python/jsonpath-ng
parent5c02f4f10cf4865b1f5d2fc82a62c9292351d08d (diff)
downloadsrcux-0ec94c3dc8d7a7ce5a857085e8039d80dbb1fb93.tar.gz
srcux-0ec94c3dc8d7a7ce5a857085e8039d80dbb1fb93.tar.xz
srcux-0ec94c3dc8d7a7ce5a857085e8039d80dbb1fb93.zip
Publish srcux candidate 0000000571-20261005-201336
Diffstat (limited to 'dev-python/jsonpath-ng')
-rw-r--r--dev-python/jsonpath-ng/Manifest1
-rw-r--r--dev-python/jsonpath-ng/jsonpath-ng-1.9.0.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/jsonpath-ng/Manifest b/dev-python/jsonpath-ng/Manifest
index 7b8a936d7afd..7c77fd9e73cd 100644
--- a/dev-python/jsonpath-ng/Manifest
+++ b/dev-python/jsonpath-ng/Manifest
@@ -1 +1,2 @@
DIST jsonpath_ng-1.8.0.tar.gz 74513 BLAKE2B f8ba3f19bd106c7246a115175515f0b1ef066954356e06f7b289b754eac05aa7c91f56d44d36e4c04765e0ab7a2fc01ed887ee4c08c3b1d17f54087e73a21ada SHA512 64bf0c98193aff8f390c18f53713fbb41da075f93369f1d81c38d22ac63a86d1e502f59a67aaf1d39d0dc8d1b482bd1f73cc8e1bdf54b68a43b8725d109c9b7f
+DIST jsonpath_ng-1.9.0.tar.gz 78042 BLAKE2B 5fc11ee6847e16d9bd019d53a12345ebd3e5ee0f80a47c537468c139e57e0c3aaaafc3c446aa2731edea3daf14495b71416f78392529ea4775980e8019ad76c6 SHA512 c9c266e19cb279c1f0c0b7ae36f906baeb118bc7fa51909e36a23481fd1326b3ef79adc9904ee66315dcc1e96393a9e88330fd9a76f21d1c8962340d27c49cc9
diff --git a/dev-python/jsonpath-ng/jsonpath-ng-1.9.0.ebuild b/dev-python/jsonpath-ng/jsonpath-ng-1.9.0.ebuild
new file mode 100644
index 000000000000..507596d693df
--- /dev/null
+++ b/dev-python/jsonpath-ng/jsonpath-ng-1.9.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python JSONPath Next-Generation"
+HOMEPAGE="
+ https://github.com/jsonpath-ng/jsonpath-ng/
+ https://pypi.org/project/jsonpath-ng/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/ply[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unbundle ply (sigh)
+ rm -r src/jsonpath_ng/_ply || die
+ sed -i -e 's:jsonpath_ng[.]_ply:ply:' src/jsonpath_ng/*.py || die
+}